[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ScrollBarAutomatic

Indicates whether an automatic scroll bar of the given type is used on the grid control.

## Declaration

Source position: grids.pas line 1182

`protected function TCustomGrid.ScrollBarAutomatic(`
`Which: TScrollStyle`
`):Boolean; virtual;`

## Arguments

`Which` |  | Scrollbar type (ssHorizontal or ssVertical) checked in the method.

## Function result

True if an automatic scroll bar is used for the specified type.

## Description

Translates the value in Which to the automatic equivalent (ssAutoVertical, ssAutoHorizontal, ssAutoBoth), and checks the ScrollBars property for the value(s).

## See also

TCustomGrid.ScrollBars |  | Scrollbars displayed for the grid control.
TScrollStyle |  | Indicates the visibility for scrollbars on a control.